import pandas as pd

DATA_FILE = 'data_ai_course_2015_2018.csv'


def load_data_binary():
    """
    Load data for binary classification
    Create target class y such that y = 0 if points_total < 70, else y = 1
    :return:
    """

    df = pd.read_csv(DATA_FILE)

    df['y'] = 0 * df['points_total'].values
    df.loc[df['points_total'] >= 70, 'y'] = 1

    return df
